View Issue Details

IDProjectCategoryView StatusLast Update
0008400VALENTINA STUDIOTool - Schema Editorpublic2018-11-17 14:31
ReporterDanny LewkinAssigned ToSergey Pashkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version7
Product Version8.5.x 
Target Version8.6.xFixed in Version8.6.x 
Summary0008400: Schema won't display databases on some sql server instances
DescriptionHi,
we have several sql servers running in our company.
The connection and working with most of them is fine.
But 2 servers have 2 instances of sql server running, 1 on the standard port, one on another port.
For those 4 instances VStudio is showing no databases?
Am I doing something wrong? Or how should I correctly enter the connection settings to connect to an sql server instance on a server that isn't on the default port.
All 4 instances serve as a database for our SAP system.

Thanks,
Danny
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

Danny Lewkin

Danny Lewkin

2018-11-08 14:28

reporter  

VStudio connected to SAP sql server.png (39,932 bytes)
Danny Lewkin

Danny Lewkin

2018-11-08 14:29

reporter  

SQL Server Fine.png (69,680 bytes)
Sergey Pashkov

Sergey Pashkov

2018-11-08 15:14

developer   ~0010540

Hello Danny,

Are there any errors after connection in the Query Log (can be opened from the main toolbar)?
Danny Lewkin

Danny Lewkin

2018-11-09 07:59

reporter   ~0010542

Hi Sergey,
yes there are a few errors (didn't this functionality existed in VStudio :-) )
See screenshot...

Kind Regards,
Danny
Danny Lewkin

Danny Lewkin

2018-11-09 07:59

reporter  

Query Log error.png (65,523 bytes)
Danny Lewkin

Danny Lewkin

2018-11-09 08:04

reporter   ~0010543

Maybe it would be better to set all database fields in those queries between brackets [] ?
That way you avoid interpreting a fieldname as a reserved word..?
Sergey Pashkov

Sergey Pashkov

2018-11-09 08:16

developer   ~0010544

Thank you, and what is the version of the server?
Danny Lewkin

Danny Lewkin

2018-11-09 08:19

reporter   ~0010545

Hi Sergey,

version is 2012,
complete version info, see screenshot...
Danny Lewkin

Danny Lewkin

2018-11-09 08:20

reporter  

2018-11-09 09_18_37-Yosimite (SAP PRD DB).png (41,285 bytes)
Danny Lewkin

Danny Lewkin

2018-11-09 08:20

reporter   ~0010546

Would be nice if this could be fixed,
I love using Valentina Studio, and just hate returning to ugly sql mgmt studio :-)
Sergey Pashkov

Sergey Pashkov

2018-11-16 22:06

developer   ~0010553

Hello Danny,

Can't reproduce this problem yet. Some fields are missing in the backups table.

Could you please execute the following query using the connection and export result to CSV with headers (need a list of fields in this table):
SELECT * FROM msdb..backupset
Danny Lewkin

Danny Lewkin

2018-11-17 13:58

reporter   ~0010554

Hi Sergey,

do you need all the records in the csv?
It's too large to upload, zo I removed the data, now you have only the field...
Let me know if you need the data...
Danny Lewkin

Danny Lewkin

2018-11-17 14:01

reporter  

export.csv (975 bytes)
Sergey Pashkov

Sergey Pashkov

2018-11-17 14:31

developer   ~0010555

Thank you, I think the problem is that some instances are case-sensitive.
Fix will be available in the next version (8.7)

Issue History

Date Modified Username Field Change
2018-11-08 14:28 Danny Lewkin New Issue
2018-11-08 14:28 Danny Lewkin File Added: VStudio connected to SAP sql server.png
2018-11-08 14:29 Danny Lewkin File Added: SQL Server Fine.png
2018-11-08 15:11 Sergey Pashkov Assigned To => Sergey Pashkov
2018-11-08 15:11 Sergey Pashkov Status new => assigned
2018-11-08 15:14 Sergey Pashkov Note Added: 0010540
2018-11-09 07:59 Danny Lewkin Note Added: 0010542
2018-11-09 07:59 Danny Lewkin File Added: Query Log error.png
2018-11-09 08:04 Danny Lewkin Note Added: 0010543
2018-11-09 08:16 Sergey Pashkov Note Added: 0010544
2018-11-09 08:19 Danny Lewkin Note Added: 0010545
2018-11-09 08:20 Danny Lewkin File Added: 2018-11-09 09_18_37-Yosimite (SAP PRD DB).png
2018-11-09 08:20 Danny Lewkin Note Added: 0010546
2018-11-16 22:06 Sergey Pashkov Note Added: 0010553
2018-11-17 13:58 Danny Lewkin Note Added: 0010554
2018-11-17 14:01 Danny Lewkin File Added: export.csv
2018-11-17 14:28 Sergey Pashkov Target Version => 8.6.x
2018-11-17 14:31 Sergey Pashkov Note Added: 0010555
2018-11-17 14:31 Sergey Pashkov Status assigned => resolved
2018-11-17 14:31 Sergey Pashkov Fixed in Version => 8.6.x
2018-11-17 14:31 Sergey Pashkov Resolution open => fixed